package org.dromara.system.service;

import org.dromara.system.domain.TblDzbcOrderLog;
import org.dromara.system.domain.vo.TblDzbcOrderLogVo;
import org.dromara.system.domain.bo.TblDzbcOrderLogBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 定制班车-订单日志Service接口
 *
 * @author Lion Li
 * @date 2025-02-12
 */
public interface ITblDzbcOrderLogService {

    /**
     * 查询定制班车-订单日志
     */
    TblDzbcOrderLogVo queryById(Long id);

    /**
     * 查询定制班车-订单日志列表
     */
    TableDataInfo<TblDzbcOrderLogVo> queryPageList(TblDzbcOrderLogBo bo, PageQuery pageQuery);

    /**
     * 查询定制班车-订单日志列表
     */
    List<TblDzbcOrderLogVo> queryList(TblDzbcOrderLogBo bo);

    /**
     * 新增定制班车-订单日志
     */
    Boolean insertByBo(TblDzbcOrderLogBo bo);

    /**
     * 修改定制班车-订单日志
     */
    Boolean updateByBo(TblDzbcOrderLogBo bo);

    /**
     * 校验并批量删除定制班车-订单日志信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
